# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91.1"
name = "ic-dbms-api"
version = "0.9.0"
authors = ["Christian Visintin <christian.visintin@veeso.dev>"]
build = false
include = [
    "examples/**/*",
    "src/**/*",
    "../../../LICENSE",
    "README.md",
    "../../../CHANGELOG.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Public API types for ic-dbms-canister. This crate provides shared types for interacting and implementing the ic-dbms-canister."
documentation = "https://docs.rs/ic-dbms-api/"
readme = "README.md"
keywords = [
    "ic",
    "dbms",
    "canister",
    "database",
    "async",
]
categories = [
    "database",
    "network-programming",
    "wasm",
]
license = "MIT"
repository = "https://github.com/veeso/wasm-dbms"

[lib]
name = "ic_dbms_api"
path = "src/lib.rs"

[dependencies.candid]
version = "0.10"
features = ["value"]

[dependencies.ic-cdk]
version = "0.20"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.wasm-dbms-api]
version = "0.9"
features = ["candid"]

[dependencies.wasm-dbms-macros]
version = "0.9"
